summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDonnie Berkholz <dberkholz@gentoo.org>2003-09-30 07:22:40 +0000
committerDonnie Berkholz <dberkholz@gentoo.org>2003-09-30 07:22:40 +0000
commit7997687e60ac71ae33b10c528fd8780f67fdfbcd (patch)
tree80f28cbb959d38e28b2643a5152c376a1c5b15c3 /eclass/xfree.eclass
parentremove qmail mask (diff)
downloadhistorical-7997687e60ac71ae33b10c528fd8780f67fdfbcd.tar.gz
historical-7997687e60ac71ae33b10c528fd8780f67fdfbcd.tar.bz2
historical-7997687e60ac71ae33b10c528fd8780f67fdfbcd.zip
Hack to split strip_bins into two functions so it won't run both.
Diffstat (limited to 'eclass/xfree.eclass')
-rw-r--r--eclass/xfree.eclass61
1 files changed, 38 insertions, 23 deletions
diff --git a/eclass/xfree.eclass b/eclass/xfree.eclass
index 9456a1f0b713..147e8fd1d7e3 100644
--- a/eclass/xfree.eclass
+++ b/eclass/xfree.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/xfree.eclass,v 1.8 2003/09/30 07:01:57 spyderous Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/xfree.eclass,v 1.9 2003/09/30 07:22:40 spyderous Exp $
#
# Author: Seemant Kulleen <seemant@gentoo.org>
#
@@ -51,27 +51,42 @@ is_kernel() {
}
# For stripping binaries, but not drivers or modules.
+strip_bins_x11r6() {
+ einfo "Stripping binaries..."
+ # This bit I got from Redhat ... strip binaries and drivers ..
+ # NOTE: We do NOT want to strip the drivers, modules or DRI modules!
+ for x in $(find ${D}/ -type f -perm +0111 -exec file {} \; | \
+ grep -v ' shared object,' | \
+ sed -n -e 's/^\(.*\):[ ]*ELF.*, not stripped/\1/p')
+ do
+ if [ -f ${x} ]
+ then
+ # Dont do the modules ...
+ if [ "${x/\usr\/X11R6\/lib\/modules}" = "${x}" ]
+ then
+ echo "`echo ${x} | sed -e "s|${D}||"`"
+ strip ${x} || :
+ fi
+ fi
+ done
+}
+
strip_bins() {
- einfo "Stripping binaries..."
- # This bit I got from Redhat ... strip binaries and drivers ..
- # NOTE: We do NOT want to strip the drivers, modules or DRI modules!
- for x in $(find ${D}/ -type f -perm +0111 -exec file {} \; | \
- grep -v ' shared object,' | \
- sed -n -e 's/^\(.*\):[ ]*ELF.*, not stripped/\1/p')
- do
- if [ -f ${x} ]
- then
- # Dont do the modules ...
- if [ "${x/\/lib\/modules}" = "${x}" ]
- then
- echo "`echo ${x} | sed -e "s|${D}||"`"
- strip ${x} || :
- fi
- if [ "${x/\usr\/X11R6\/lib\/modules}" = "${x}" ]
- then
- echo "`echo ${x} | sed -e "s|${D}||"`"
- strip ${x} || :
- fi
- fi
- done
+ einfo "Stripping binaries..."
+ # This bit I got from Redhat ... strip binaries and drivers ..
+ # NOTE: We do NOT want to strip the drivers, modules or DRI modules!
+ for x in $(find ${D}/ -type f -perm +0111 -exec file {} \; | \
+ grep -v ' shared object,' | \
+ sed -n -e 's/^\(.*\):[ ]*ELF.*, not stripped/\1/p')
+ do
+ if [ -f ${x} ]
+ then
+ # Dont do the modules ...
+ if [ "${x/\/lib\/modules}" = "${x}" ]
+ then
+ echo "`echo ${x} | sed -e "s|${D}||"`"
+ strip ${x} || :
+ fi
+ fi
+ done
}